/*
 * bsp_stm32f4-discovery.c
 *
 *  Created on: May 7, 2012
 *      Author: tkl
 */

#include "bsp_stm32f4-discovery.h"
#if 0
#include "usbd_cdc_vcp.h"

volatile int32_t ITM_RxBuffer;
#endif

void board_init(void) {
	SystemInit();
	NVIC_SetVectorTable(NVIC_VectTab_FLASH, 0);
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_4);
	SysTick_CLKSourceConfig(RCC_SYSCLKSource_PLLCLK);

//	USBD_Init(&USB_OTG_dev, USB_OTG_FS_CORE_ID, &USR_desc, &USBD_CDC_cb, &USR_cb);
}
